package com.zh.lingnuo.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.lingnuo.model.Answerer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.lingnuo.model.QnGroup;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-09-30
 */
public interface AnswererMapper extends BaseMapper<Answerer> {

    @Select("SELECT t1.* FROM answerer as t1 " +
        "LEFT JOIN company_qn_answerer as t2 on t1.id = t2.answerer_id " +
        "where t2.qn_id = #{qnId}")
    List<Answerer> answererList(int qnId);

    @Select("SELECT t1.* FROM answerer as t1 " +
        "LEFT JOIN company_qn_answerer as t2 on t1.id = t2.answerer_id " +
        "${ew.customSqlSegment}")
    IPage<Answerer> answererPageList(IPage page,@Param("ew") Wrapper<Answerer> qw);

}
