package com.zh.lingnuo.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.zh.lingnuo.model.QnGroup;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-09-13
 */
public interface QnGroupMapper extends BaseMapper<QnGroup> {

    @Select(" SELECT t1.*,count(t2.id ) as titleCount FROM qn_group as t1 " +
        "left join qn_title as t2 on t1.id= t2.group_id GROUP BY t1.id " +
        "${ew.customSqlSegment}")
    List<QnGroup> all(@Param("ew") Wrapper<QnGroup> qw);
}
