package com.zh.lingnuo.service;

import com.zh.lingnuo.controller.company.CompanyQnAnswererController;
import com.zh.lingnuo.model.CompanyQnAnswerer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.lingnuo.utils.result.Result;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2022-09-14
 */
public interface ICompanyQnAnswererService extends IService<CompanyQnAnswerer> {
    // excel导入
    Result addExcel(MultipartFile file, int qnId,int companyId);
    // 添加
    Result add(CompanyQnAnswererController.ParamQnAnswerAdd params,int companyId);
    // 修改
    Result upd(CompanyQnAnswererController.ParamCompanyQnAnswerUpd params);

    // 校验答题人所属问卷
    String validAnswererQn(int answerId, int qnId);

}
