package com.zh.lingnuo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.lingnuo.controller.manage.CompanyController;
import com.zh.lingnuo.model.Company;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.lingnuo.utils.result.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2022-09-13
 */
public interface ICompanyService extends IService<Company> {

    // 列表
    Result<IPage<CompanyController.resultCompany>> CompanyList(CompanyController.paramsCompanyList params);

    // 添加
    Result CompanyAdd( CompanyController.paramsCompanyAdd params);

    // 详情
    Result<CompanyController.resultCompany> CompanyInfo(CompanyController.paramsCompanyInfo params);

    // 启用停用
    Result CompanyAble( CompanyController.paramsCompanyAble params);
}
